`geneSim` <-
function(gene1, gene2, ont="MF", measure="Resnik", drop="IEA", db="UniProt", multiple="max") { 
    wh_ont<-match.arg(ont, c("MF", "BP", "CC"))
    wh_measure<-match.arg(measure, c("Resnik", "Lin", "Jiang", "Rel"))
    wh_db<-match.arg(db, c("UniProt", "mouse", "rat", "plant", "yeast", "worm", "microbe"))
    wh_multiple<-match.arg(multiple, c("max", "avg", "rcmax"))
	
    GO1<-.getOnt(gene1, wh_ont, drop)
    GO2<-.getOnt(gene2, wh_ont, drop)

    sim<-mtermSim(GO1, GO2, wh_ont, wh_measure, wh_db, wh_multiple)
    return(list(Sim=sim, GO1=GO1, GO2=GO2))
}

