`mgeneSim` <-
function(genes, ont="MF", measure="Resnik", drop="IEA", db="UniProt", multiple="max") {
    wh_ont<-match.arg(ont, c("MF", "BP", "CC"))
    wh_measure<-match.arg(measure, c("Resnik", "Lin", "Jiang", "Rel"))
    wh_db<-match.arg(db, c("UniProt", "mouse", "rat", "plant", "yeast", "worm", "microbe"))
    wh_multiple<-match.arg(multiple, c("max", "avg", "rcmax"))

    geneNumber<-length(genes)
    simMatrix<-matrix(NA, nrow=geneNumber, ncol=geneNumber)
    colnames(simMatrix)<-genes
    rownames(simMatrix)<-genes 
    for(i in 1:geneNumber) {
        for(j in 1:i) {
            simMatrix[i, j]<-geneSim(genes[i], genes[j], wh_ont, wh_measure, drop, wh_db, wh_multiple)$Sim
	    if(i != j) simMatrix[j, i]<-simMatrix[i, j]
	}
    }

    removeNA<-apply(!is.na(simMatrix), 1, sum)>0
    return(simMatrix[removeNA, removeNA])
}

