\name{geneSim}
\alias{geneSim}
\title{Semantic Similarity Between Two Gene Products}
\description{
  Given two Entrez Gene IDs, this function retrieves GO annotation and calculates their semantic similarity or distance.
}
\usage{
geneSim(gene1, gene2, ont = "MF", measure = "Resnik", drop = "IEA", db = "UniProt", multiple = "max")
}
\arguments{
  \item{gene1}{Entrez Gene ID 1.}
  \item{gene2}{Entrez Gene ID 2.}
  \item{ont}{One of "MF", "BP", and "CC" subontologies.}
  \item{measure}{One of "Resnik", "Lin", "Rel", and "Jiang" methods.}
  \item{drop}{A set of evidence codes based on which certain annotations are dropped. Use NULL to keep all GO annotations.}
  \item{db}{Databases from which the information content has been derived. See description in \code{\link{termSim}}.}
  \item{multiple}{Method to be used to combine similarity values if multiple terms are associated with a gene product. See description in \code{\link{mtermSim}}.}
}
\value{
  \item{Sim }{Semantic similarity or distance value.}
  \item{GO1 }{Set of terms associated with the first query gene.}
  \item{GO2 }{Set of terms associated with the second query gene.}
}
\seealso{
  \code{\link{mtermSim}}
  \code{\link{termSim}}
}
\examples{
  geneSim("852695", "5261")
  geneSim("852695", "5261", ont="BP", measure="Rel", drop=c("IEA", "ISS"),  multiple="rcmax")
}
\keyword{manip}










