\name{mgeneSim}
\alias{mgeneSim}
\title{Pairwise Semantic Similarity Scores for a Set of Gene Products}
\description{
  Given a set of Entrez Gene IDs, this function returns pairwise semantic similarity or distance scores for all the gene products with GO annotations available.
}
\usage{
mgeneSim(genes, ont = "MF", measure = "Resnik", drop = "IEA", db = "UniProt", multiple = "max")
}
\arguments{
  \item{genes}{A set of Entrez Gene IDs.}
  \item{ont}{One of "MF", "BP", and "CC" subontologies.}
  \item{measure}{One of "Resnik", "Lin", "Rel", and "Jiang" methods.}
  \item{drop}{A set of evidence codes based on which certain annotations are not considered. Use NULL to keep all GO annotations.}
  \item{db}{Databases from which the information content has been derived. See description in \code{\link{termSim}}.}
  \item{multiple}{See description in \code{\link{mtermSim}}.}
}
\value{
  A matrix of pairwise similarity scores for gene products with GO annotations available.
}
\seealso{ \code{\link{geneSim}} }
\examples{
  data(Schreiber)
  sim<-mgeneSim(Schreiber, ont="BP", measure="Rel", multiple="rcmax")
  sim[1:3, 1:3]
}
\keyword{manip}
